GET https://api.cryptohopper.com/v1/tournaments/leaderboard

Returns the top 100 players of the all time tournament leaderboard, ordered by rank.

OAuth scope: read About scopes

player_id is the social profile ID of the player.

Example request

curl "https://api.cryptohopper.com/v1/tournaments/leaderboard" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Response

Example response (illustrative values)

{
    "data": [
        {
            "score": "18450",
            "rank": "1",
            "name": "Trader Jane",
            "alias": "trader-jane",
            "player_id": "4567",
            "logo": "https://cdn.example.com/images/social/uploads/avatar_4567.jpg"
        }
    ]
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.